"""
class cybercops errors.
"""
class Error(Exception):
    """Base class for exceptions in this module."""
    def __init__(self, value):
        self.value = value
    
    def __str__(self):
        return repr(self.value)

class InformationError(Error):
    pass

class ConnectionError(Error):
    pass

class ParseError(Error):
    pass

class EncodingError(Error):
    pass


