#!/usr/bin/env python
# -*- coding: utf-8 -*-
import CyberCops

# 投稿内容と仮定する
text = "エロおやじ、キモい。"

# CyberCopsとの接続情報をセット
srv = CyberCops.Connection("example.com", CyberCops.Connection.HTTP_PORT)

# CyberCops利用者情報をセット
cli = CyberCops.Client({'userid' : "userid",
                        'passwd' : "passwd",
                        'ipaddr' : "127.0.0.1",
                        'charset': "UTF-8",
                        'option' : "Option String"})

try:
    # CyberCopsサーバと通信（判定要求＆結果取得）
    res = cli.communicate(srv, text)
    
    # 判定結果としてエラーが通知されたか？
    if not res.is_error():
        # レベル9と判定されたワードを取得
        ngwords = res.level9()
        
        # NGワードの有無を確認
        if len( ngwords ) > 0:
            # 投稿ユーザに注意文言を表示
            print "不適切な言葉「%s」が含まれています。" % "」「".join( ngwords )
        else:
            # 投稿内容を反映する処理
            #print "No problem."
            pass
    else:
        # エラーが通知された場合の処理
        # ...
        
        # エラーコード, エラーメッセージの取得
        #print res.error
        #print res.errormsg
        pass
except CyberCops.Error, e:
    # 処理中に例外が発生した場合の処理
    # ...
    
    # エラーメッセージの取得
    #print "Exception: %s" % e.value
    pass

